<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AuthenticationModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="615pt" height="211pt"
 viewBox="0.00 0.00 615.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 611,-207 611,4 -4,4"/>
<text text-anchor="start" x="282.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="69.5,-10 69.5,-30 89.5,-30 89.5,-10 69.5,-10"/>
<text text-anchor="start" x="93.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="182.5,-10 182.5,-30 202.5,-30 202.5,-10 182.5,-10"/>
<text text-anchor="start" x="206.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="268.5,-10 268.5,-30 288.5,-30 288.5,-10 268.5,-10"/>
<text text-anchor="start" x="292.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="365.5,-10 365.5,-30 385.5,-30 385.5,-10 365.5,-10"/>
<text text-anchor="start" x="389.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="461.5,-10 461.5,-30 481.5,-30 481.5,-10 461.5,-10"/>
<text text-anchor="start" x="485.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AuthenticationModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 599,-195 599,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AuthenticationModule_declarations</title>
<polygon fill="none" stroke="#000000" points="461,-78 461,-130 591,-130 591,-78 461,-78"/>
</g>
<g id="clust4" class="cluster">
<title>cluster_AuthenticationModule_imports</title>
<polygon fill="none" stroke="#000000" points="234,-78 234,-130 453,-130 453,-78 234,-78"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AuthenticationModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 226,-130 226,-78 16,-78"/>
</g>
<!-- LoginComponent -->
<g id="node1" class="node">
<title>LoginComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="583.2758,-122 468.7242,-122 468.7242,-86 583.2758,-86 583.2758,-122"/>
<text text-anchor="middle" x="526" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LoginComponent</text>
</g>
<!-- AuthenticationModule -->
<g id="node2" class="node">
<title>AuthenticationModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="417.2534,-187 414.2534,-191 393.2534,-191 390.2534,-187 274.7466,-187 274.7466,-151 417.2534,-151 417.2534,-187"/>
<text text-anchor="middle" x="346" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthenticationModule</text>
</g>
<!-- LoginComponent&#45;&gt;AuthenticationModule -->
<g id="edge1" class="edge">
<title>LoginComponent&#45;&gt;AuthenticationModule</title>
<path fill="none" stroke="#000000" d="M526,-122.1061C526,-141.3391 526,-169 526,-169 526,-169 427.3993,-169 427.3993,-169"/>
<polygon fill="#000000" stroke="#000000" points="427.3993,-165.5001 417.3993,-169 427.3993,-172.5001 427.3993,-165.5001"/>
</g>
<!-- CoreModule -->
<g id="node3" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="445.2619,-122 442.2619,-126 421.2619,-126 418.2619,-122 358.7381,-122 358.7381,-86 445.2619,-86 445.2619,-122"/>
<text text-anchor="middle" x="402" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CoreModule</text>
</g>
<!-- CoreModule&#45;&gt;AuthenticationModule -->
<g id="edge2" class="edge">
<title>CoreModule&#45;&gt;AuthenticationModule</title>
<path fill="none" stroke="#000000" d="M387.9979,-122.1061C387.9979,-122.1061 387.9979,-140.991 387.9979,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="384.498,-140.9909 387.9979,-150.991 391.498,-140.991 384.498,-140.9909"/>
</g>
<!-- SharedModule -->
<g id="node4" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="340.4231,-122 337.4231,-126 316.4231,-126 313.4231,-122 241.5769,-122 241.5769,-86 340.4231,-86 340.4231,-122"/>
<text text-anchor="middle" x="291" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AuthenticationModule -->
<g id="edge3" class="edge">
<title>SharedModule&#45;&gt;AuthenticationModule</title>
<path fill="none" stroke="#000000" d="M307.4172,-122.1061C307.4172,-122.1061 307.4172,-140.991 307.4172,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="303.9173,-140.9909 307.4172,-150.991 310.9173,-140.991 303.9173,-140.9909"/>
</g>
<!-- AuthenticationService -->
<g id="node5" class="node">
<title>AuthenticationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="121" cy="-104" rx="97.2683" ry="18"/>
<text text-anchor="middle" x="121" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthenticationService</text>
</g>
<!-- AuthenticationService&#45;&gt;AuthenticationModule -->
<g id="edge4" class="edge">
<title>AuthenticationService&#45;&gt;AuthenticationModule</title>
<path fill="none" stroke="#000000" d="M121,-122.1061C121,-141.3391 121,-169 121,-169 121,-169 264.4994,-169 264.4994,-169"/>
<polygon fill="#000000" stroke="#000000" points="264.4995,-172.5001 274.4994,-169 264.4994,-165.5001 264.4995,-172.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/authentication/authentication.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/LoginComponent.html">LoginComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/AuthenticationService.html">AuthenticationService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/CoreModule.html">CoreModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">/*-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-pact                                                                                    -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2017 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

import { NgModule } from &#x27;@angular/core&#x27;;
import { LoginComponent } from &#x27;./login/login.component&#x27;;
import { AuthenticationService } from &#x27;./authentication.service&#x27;;
import { CoreModule } from &#x27;../core.module&#x27;;
import { SharedModule } from &#x27;../../shared/shared.module&#x27;;

@NgModule({
  imports: [
    CoreModule,
    SharedModule,
  ],
  providers: [
    AuthenticationService,
  ],
  declarations: [LoginComponent]
})
export class AuthenticationModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AuthenticationModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
